<?PHP
/**
 * Custom exception class to be raised when not all fields have been set in the MinimaldatensatzCheck class.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when not all fields have been set in the MinimaldatensatzCheck class.
 */
final class MinimaldatensatzCheckIncompletelyImplementedException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Incompletely implemented check for Minimaldatensatz: ' . $this->getMessage();

    }
}
